html {
  font-size: 62.5%;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.App{
  background-color:rgb(55, 72, 79);
  min-height:100vh;
}
.header {
  position: sticky;
  top: 0;
  color: white;
  background-color: black;
  border-bottom: solid black thin;
  padding: 1rem 2rem;
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.1);
}
.header > ul {
  font-size: 2rem;
  justify-content: space-around;
  list-style: none;
  text-transform: uppercase;
}
.header > ul > li > a {
  position: relative;
  text-decoration: none;
  color: white;
  cursor: pointer;
  transition: all 1s;
  display: inline-block;
}

.header > ul > li > a:hover {
  transform: translateY(-20%);
  color: aqua;
}
.header > ul > li > a::after {
  content: " ";
  border-bottom: solid white 3px;
  width: 0%;
  display: inline-block;
  position: absolute;
  margin-top: 2px;
  bottom: -23%;
  left: 0;
  transition: all .4s;
}
.header > ul > li > a:hover::after {
  content: " ";
  border-bottom: solid rgb(0, 255, 251) 3px;
  width: 100%;
}

.posts {
  display: grid;
  place-content: center;
  gap: 2rem;
  grid-template-columns: repeat(auto-fit, 50rem);
}

.post {
  background-color:rgb(255, 255, 255);
  font-size: 2rem;
  border: solid black thin;
  border-radius: 20px;
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.222);
  padding: 4rem;
  justify-content: space-between;
}

.details {
  width: 100%;
}
.details > h3,
.fulldetails > h3 {
  text-transform: capitalize;
  font-weight: 500;
}

.details__content {
  max-height: 10rem;
  overflow: hidden;
}

.form {
  width: 70%;
  margin: auto;
  font-size: 2rem;
  text-transform: capitalize;
}
.form > input,
.form > textarea {
  font-size: 1.5rem;
  padding: 0.5rem 2rem;
  border-radius: 10px;
  border: solid thin rgba(0, 0, 0, 0.26);
  outline: none;
}
.form > textarea {
  resize: vertical;
}

.edit {
  position: relative;
  /* margin-left: auto; */
}
.edit .btn-round {
  position: absolute;
  top: -20%;
  right: 10%;
  font-size: 1.5rem;
  background-color: white;
  transition: all 0.2s;
}

.about {
  font-size: 1.6rem;
  padding: 2rem;
  color: white;
}
.about > h1 {
  font-size: 3rem;
  text-align: center;
  text-transform: capitalize;
}
.contact {
  color: white;
  font-size: 1.8rem;
  text-align: center;
}
.contact >h2{
  text-transform: capitalize;
}
/* //////////////////////////////////////////////////////////////// */
.d-flex {
  display: flex;
}
.d-flex-c {
  display: flex;
  flex-direction: column;
}
.center {
  align-items: center;
}
.m-auto {
  margin: auto;
}
.m-top-s {
  margin-top: 2rem;
}
.m-top-m {
  margin-top: 5rem;
}
.m-top-x {
  margin-top: 10rem;
}
.m-bottom-s {
  margin-bottom: 2rem;
}
.m-bottom-m {
  margin-bottom: 5rem;
}
.m-bottom-x {
  margin-bottom: 10rem;
}

.text-c {
  text-align: center;
}

.btns {
  display: flex;
  gap: 3rem;
}
.btn {
  border: none;
  text-transform: capitalize;
  cursor: pointer;
  text-decoration: none;
  color: black;
}
.btn-round {
  border-radius: 50%;
  padding: 1rem .5rem;
  border: solid rgba(0, 0, 0, 0.186) thin;
  font-size: 1.2rem !important;
}

.btn-1 {
  padding: 0.7rem 2rem;
  border: solid rgba(0, 0, 0, 0.186) thin;
  background-color: white;
  transition: all 0.3s;
  font-size: 1.6rem;
}
.btn:hover {
  transform: translateY(-20%);
  color: rgb(0, 255, 140);
  box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.266);
}
.btn-1-red:hover {
  color: red;
}

.heading-1 {
  font-size: 5rem;
}
